# Fire Emblem: Three Houses 1.2.0
# BID: 89048449BA238C8C

DECLARATIONS:
  -
    type: variable
    name: dr_target1
    value_type: float
    default_value: 34
    evaluate: "0.99 * FRAMETIME_TARGET"
  -
    type: variable
    name: dr_target2
    value_type: float
    default_value: 25
    evaluate: "0.84 * FRAMETIME_TARGET"
MASTER_WRITE:
  # Redirect DR timing targets
  -
    type: asm_a64
    main_offset: 0x4C82D0
    instructions: [
      [adrp, x10, $dr_target1],
      [ldr, s2, [x10, $dr_target1]]
    ]
  -
    type: asm_a64
    main_offset: 0x4C8300
    instructions: [
      [adrp, x8, $dr_target2],
      [ldr, s2, [x8, $dr_target2]]
    ]
